namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// Ghrc_PeriodMaster(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghrc)]
public class Ghrc_PeriodMasterController : BaseController<IGhrc_PeriodMasterServices, Ghrc_PeriodMaster, Ghrc_PeriodMasterDto, InsertGhrc_PeriodMasterInput, EditGhrc_PeriodMasterInput>
{
    public Ghrc_PeriodMasterController(IGhrc_PeriodMasterServices service) : base(service)
    {
    }
}